Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the support channel to retrieve.

Response

A successful response

A messaging channel that can be a one-on-one DM, group chat, company support conversation, or platform-level direct message.

company_id
string | null
required

The unique identifier of the company associated with this channel. Null if this is not a support or company-scoped conversation.

custom_name
string | null
required

A custom display name assigned to this channel by the user. Null if no custom name has been set.

Example:

"Project Alpha Team"

customer_user
object | null
required

The customer who initiated this support conversation. Null if this is not a support chat.

id
string
required

The unique identifier for the entity

last_message_at
string<date-time> | null
required

The timestamp when the most recent message was sent in this channel. Null if no messages have been sent.

Example:

"2023-12-01T05:00:00.401Z"

resolved_at
string<date-time> | null
required

The timestamp when the linked support ticket was marked as resolved. Null if unresolved or not a support chat.

Example:

"2023-12-01T05:00:00.401Z"